package org.studiorailgun.conversation.evaluators.query;

import java.util.LinkedList;
import java.util.List;

import org.studiorailgun.conversation.tracking.Quote;

/**
 * Data about recent queries in the conversation
 */
public class QueryData {

    /**
     * The recent queries
     */
    List<Quote> recentQueries = new LinkedList<Quote>();

    /**
     * Gets the recent queries in the conversation
     * @return The recent queries
     */
    public List<Quote> getRecentQueries(){
        return recentQueries;
    }

    /**
     * Adds the quote to the recent queries
     * @param quote The quote
     */
    public void addQuery(Quote quote){
        recentQueries.add(quote);
    }
    
}
